package cz.vutbr.feec.stockElements;

public class AccidentCell extends AbstractStockCell {

	private CoridorCell previousCell = null;
	private Stock s = Stock.getInstance();
	private Accident accident;
	
	public AccidentCell(int x, int y, CoridorCell c) {
		super(x, y);
		//v konstruktoru pridam rovno previousCell
		
		setPreviousCell(c);
	}
	
	public AbstractStockCell getPreviousCell() {
		return previousCell;
	}

	public void setPreviousCell(AbstractStockCell previousCell) {
		this.previousCell = (CoridorCell) previousCell;
	}

	public Accident getAccident() {
		return accident;
	}

	public void setAccident(Accident accident) {
		this.accident = accident;
	}

}
